using Hotline.Ai.Quality;
using Microsoft.Extensions.DependencyInjection;

namespace Hotline.Ai.XingTang
{
	public static class AiXingTangStartupExtensions
	{
		public  static IServiceCollection AddAiXingTang(this IServiceCollection services, string baseUrl)
		{
			services.AddSingleton<IAiQualityService, AiQualityService>(_ => new AiQualityService(baseUrl));

			return services;
		}
	}
}
